Loading...
Searching...
No Matches
pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT > Class Template Reference

KLDAdaptiveParticleFilterOMPTracker tracks the PointCloud which is given by setReferenceCloud within the measured PointCloud using particle filter method. More...

`#include <pcl/tracking/kld_adaptive_particle_filter_omp.h>`

Inheritance diagram for pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >:

## Public Types

using | BaseClass = Tracker< PointInT, StateT >
using | Ptr = shared_ptr< KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT > >
using | ConstPtr = shared_ptr< const KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT > >
using | PointCloudIn = typename Tracker< PointInT, StateT >::PointCloudIn
using | PointCloudInPtr = typename PointCloudIn::Ptr
using | PointCloudInConstPtr = typename PointCloudIn::ConstPtr
using | PointCloudState = typename Tracker< PointInT, StateT >::PointCloudState
using | PointCloudStatePtr = typename PointCloudState::Ptr
using | PointCloudStateConstPtr = typename PointCloudState::ConstPtr
using | Coherence = PointCoherence< PointInT >
using | CoherencePtr = typename Coherence::Ptr
using | CoherenceConstPtr = typename Coherence::ConstPtr
using | CloudCoherence = PointCloudCoherence< PointInT >
using | CloudCoherencePtr = typename CloudCoherence::Ptr
using | CloudCoherenceConstPtr = typename CloudCoherence::ConstPtr
Public Types inherited from pcl::tracking::KLDAdaptiveParticleFilterTracker< PointInT, StateT >
using | BaseClass = Tracker< PointInT, StateT >
using | Ptr = shared_ptr< KLDAdaptiveParticleFilterTracker< PointInT, StateT > >
using | ConstPtr = shared_ptr< const KLDAdaptiveParticleFilterTracker< PointInT, StateT > >
using | PointCloudIn = typename Tracker< PointInT, StateT >::PointCloudIn
using | PointCloudInPtr = typename PointCloudIn::Ptr
using | PointCloudInConstPtr = typename PointCloudIn::ConstPtr
using | PointCloudState = typename Tracker< PointInT, StateT >::PointCloudState
using | PointCloudStatePtr = typename PointCloudState::Ptr
using | PointCloudStateConstPtr = typename PointCloudState::ConstPtr
using | Coherence = PointCoherence< PointInT >
using | CoherencePtr = typename Coherence::Ptr
using | CoherenceConstPtr = typename Coherence::ConstPtr
using | CloudCoherence = PointCloudCoherence< PointInT >
using | CloudCoherencePtr = typename CloudCoherence::Ptr
using | CloudCoherenceConstPtr = typename CloudCoherence::ConstPtr
Public Types inherited from pcl::tracking::ParticleFilterTracker< PointInT, StateT >
using | Ptr = shared_ptr< ParticleFilterTracker< PointInT, StateT > >
using | ConstPtr = shared_ptr< const ParticleFilterTracker< PointInT, StateT > >
using | BaseClass = Tracker< PointInT, StateT >
using | PointCloudIn = typename Tracker< PointInT, StateT >::PointCloudIn
using | PointCloudInPtr = typename PointCloudIn::Ptr
using | PointCloudInConstPtr = typename PointCloudIn::ConstPtr
using | PointCloudState = typename Tracker< PointInT, StateT >::PointCloudState
using | PointCloudStatePtr = typename PointCloudState::Ptr
using | PointCloudStateConstPtr = typename PointCloudState::ConstPtr
using | Coherence = PointCoherence< PointInT >
using | CoherencePtr = typename Coherence::Ptr
using | CoherenceConstPtr = typename Coherence::ConstPtr
using | CloudCoherence = PointCloudCoherence< PointInT >
using | CloudCoherencePtr = typename CloudCoherence::Ptr
using | CloudCoherenceConstPtr = typename CloudCoherence::ConstPtr
Public Types inherited from pcl::tracking::Tracker< PointInT, StateT >
using | BaseClass = PCLBase< PointInT >
using | Ptr = shared_ptr< Tracker< PointInT, StateT > >
using | ConstPtr = shared_ptr< const Tracker< PointInT, StateT > >
using | SearchPtr = typename pcl::search::Search< PointInT >::Ptr
using | SearchConstPtr = typename pcl::search::Search< PointInT >::ConstPtr
using | PointCloudIn = pcl::PointCloud< PointInT >
using | PointCloudInPtr = typename PointCloudIn::Ptr
using | PointCloudInConstPtr = typename PointCloudIn::ConstPtr
using | PointCloudState = pcl::PointCloud< StateT >
using | PointCloudStatePtr = typename PointCloudState::Ptr
using | PointCloudStateConstPtr = typename PointCloudState::ConstPtr
Public Types inherited from pcl::PCLBase< PointInT >
using | PointCloud = pcl::PointCloud< PointInT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | PointIndicesPtr = PointIndices::Ptr
using | PointIndicesConstPtr = PointIndices::ConstPtr

## Public Member Functions

| KLDAdaptiveParticleFilterOMPTracker (unsigned int nr_threads=0)
| Initialize the scheduler and set the number of threads to use.
void | setNumberOfThreads (unsigned int nr_threads=0)
| Initialize the scheduler and set the number of threads to use.
Public Member Functions inherited from pcl::tracking::KLDAdaptiveParticleFilterTracker< PointInT, StateT >
| KLDAdaptiveParticleFilterTracker ()
| Empty constructor.
void | setBinSize (const StateT &bin_size)
| set the bin size.
StateT | getBinSize () const
| get the bin size.
void | setMaximumParticleNum (unsigned int nr)
| set the maximum number of the particles.
unsigned int | getMaximumParticleNum () const
| get the maximum number of the particles.
void | setEpsilon (double eps)
| set epsilon to be used to calc K-L boundary.
double | getEpsilon () const
| get epsilon to be used to calc K-L boundary.
void | setDelta (double delta)
| set delta to be used in chi-squared distribution.
double | getDelta () const
| get delta to be used in chi-squared distribution.
Public Member Functions inherited from pcl::tracking::ParticleFilterTracker< PointInT, StateT >
| ParticleFilterTracker ()
| Empty constructor.
void | setIterationNum (const int iteration_num)
| Set the number of iteration.
int | getIterationNum () const
| Get the number of iteration.
void | setParticleNum (const int particle_num)
| Set the number of the particles.
int | getParticleNum () const
| Get the number of the particles.
void | setReferenceCloud (const PointCloudInConstPtr &ref)
| Set a pointer to a reference dataset to be tracked.
PointCloudInConstPtr const | getReferenceCloud ()
| Get a pointer to a reference dataset to be tracked.
void | setCloudCoherence (const CloudCoherencePtr &coherence)
| Set the PointCloudCoherence as likelihood.
CloudCoherencePtr | getCloudCoherence () const
| Get the PointCloudCoherence to compute likelihood.
void | setStepNoiseCovariance (const std::vector< double > &step_noise_covariance)
| Set the covariance of step noise.
void | setInitialNoiseCovariance (const std::vector< double > &initial_noise_covariance)
| Set the covariance of the initial noise.
void | setInitialNoiseMean (const std::vector< double > &initial_noise_mean)
| Set the mean of the initial noise.
void | setResampleLikelihoodThr (const double resample_likelihood_thr)
| Set the threshold to re-initialize the particles.
void | setOcclusionAngleThe (const double occlusion_angle_thr)
| Set the threshold of angle to be considered occlusion (default: pi/2).
void | setMinIndices (const int min_indices)
| Set the minimum number of indices (default: 1).
void | setTrans (const Eigen::Affine3f &trans)
| Set the transformation from the world coordinates to the frame of the particles.
Eigen::Affine3f | getTrans () const
| Get the transformation from the world coordinates to the frame of the particles.
StateT | getResult () const override
| Get an instance of the result of tracking.
Eigen::Affine3f | toEigenMatrix (const StateT &particle)
| Convert a state to affine transformation from the world coordinates frame.
PointCloudStatePtr | getParticles () const
| Get a pointer to a pointcloud of the particles.
double | normalizeParticleWeight (double w, double w_min, double w_max)
| Normalize the weight of a particle using .
void | setAlpha (double alpha)
| Set the value of alpha.
double | getAlpha ()
| Get the value of alpha.
void | setUseNormal (bool use_normal)
| Set the value of use_normal_.
bool | getUseNormal ()
| Get the value of use_normal_.
void | setUseChangeDetector (bool use_change_detector)
| Set the value of use_change_detector_.
bool | getUseChangeDetector ()
| Get the value of use_change_detector_.
void | setMotionRatio (double motion_ratio)
| Set the motion ratio.
double | getMotionRatio ()
| Get the motion ratio.
void | setIntervalOfChangeDetection (unsigned int change_detector_interval)
| Set the number of interval frames to run change detection.
unsigned int | getIntervalOfChangeDetection ()
| Get the number of interval frames to run change detection.
void | setMinPointsOfChangeDetection (unsigned int change_detector_filter)
| Set the minimum amount of points required within leaf node to become serialized in change detection.
void | setResolutionOfChangeDetection (double resolution)
| Set the resolution of change detection.
double | getResolutionOfChangeDetection ()
| Get the resolution of change detection.
unsigned int | getMinPointsOfChangeDetection ()
| Get the minimum amount of points required within leaf node to become serialized in change detection.
double | getFitRatio () const
| Get the adjustment ratio.
virtual void | resetTracking ()
| Reset the particles to restart tracking.
Public Member Functions inherited from pcl::tracking::Tracker< PointInT, StateT >
| Tracker ()
| Empty constructor.
void | compute ()
| Base method for tracking for all points given in <setInputCloud (), setIndices ()> using the indices in setIndices ()
Public Member Functions inherited from pcl::PCLBase< PointInT >
| PCLBase ()
| Empty constructor.
| PCLBase (const PCLBase &base)
| Copy constructor.
virtual | ~PCLBase ()=default
| Destructor.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset.
PointCloudConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset.
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (std::size_t row_start, std::size_t col_start, std::size_t nb_rows, std::size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud.
IndicesPtr | getIndices ()
| Get a pointer to the vector of indices used.
IndicesConstPtr const | getIndices () const
| Get a pointer to the vector of indices used.
const PointInT & | operator[] (std::size_t pos) const
| Override PointCloud operator[] to shorten code.

## Protected Member Functions

void | weight () override
| weighting phase of particle filter method.
Protected Member Functions inherited from pcl::tracking::KLDAdaptiveParticleFilterTracker< PointInT, StateT >
virtual bool | equalBin (const std::vector< int > &a, const std::vector< int > &b)
| return true if the two bins are equal.
double | normalQuantile (double u)
| return upper quantile of standard normal distribution.
virtual double | calcKLBound (int k)
| calculate K-L boundary.
virtual bool | insertIntoBins (std::vector< int > &&new_bin, std::vector< std::vector< int > > &bins)
| insert a bin into the set of the bins.
bool | initCompute () override
| This method should get called before starting the actual computation.
void | resample () override
| resampling phase of particle filter method.
Protected Member Functions inherited from pcl::tracking::ParticleFilterTracker< PointInT, StateT >
void | calcBoundingBox (double &x_min, double &x_max, double &y_min, double &y_max, double &z_min, double &z_max)
| Compute the parameters for the bounding box of hypothesis pointclouds.
void | cropInputPointCloud (const PointCloudInConstPtr &cloud, PointCloudIn &output)
| Crop the pointcloud by the bounding box calculated from hypothesis and the reference pointcloud.
void | computeTransformedPointCloud (const StateT &hypothesis, pcl::Indices &indices, PointCloudIn &cloud)
| Compute a reference pointcloud transformed to the pose that hypothesis represents.
void | computeTransformedPointCloudWithNormal (const StateT &hypothesis, pcl::Indices &indices, PointCloudIn &cloud)
| Compute a reference pointcloud transformed to the pose that hypothesis represents and calculate indices taking occlusion into account.
void | computeTransformedPointCloudWithoutNormal (const StateT &hypothesis, PointCloudIn &cloud)
| Compute a reference pointcloud transformed to the pose that hypothesis represents and calculate indices without taking occlusion into account.
bool | initCompute () override
| This method should get called before starting the actual computation.
virtual void | update ()
| Calculate the weighted mean of the particles and set it as the result.
virtual void | normalizeWeight ()
| Normalize the weights of all the particels.
void | initParticles (bool reset)
| Initialize the particles.
void | computeTracking () override
| Track the pointcloud using particle filter method.
int | sampleWithReplacement (const std::vector< int > &a, const std::vector< double > &q)
| Implementation of "sample with replacement" using Walker's alias method.
void | genAliasTable (std::vector< int > &a, std::vector< double > &q, const PointCloudStateConstPtr &particles)
| Generate the tables for walker's alias method.
void | resampleWithReplacement ()
| Resampling the particle with replacement.
void | resampleDeterministic ()
| Resampling the particle in deterministic way.
bool | testChangeDetection (const PointCloudInConstPtr &input)
| Run change detection and return true if there is a change.
Protected Member Functions inherited from pcl::tracking::Tracker< PointInT, StateT >
const std::string & | getClassName () const
| Get a string representation of the name of this class.
void | setSearchMethod (const SearchPtr &search)
| Provide a pointer to a dataset to add additional information to estimate the features for every point in the input dataset.
SearchPtr | getSearchMethod ()
| Get a pointer to the point cloud dataset.
Protected Member Functions inherited from pcl::PCLBase< PointInT >
bool | initCompute ()
| This method should get called before starting the actual computation.
bool | deinitCompute ()
| This method should get called after finishing the actual computation.

## Protected Attributes

unsigned int | threads_
| The number of threads the scheduler should use.
Protected Attributes inherited from pcl::tracking::KLDAdaptiveParticleFilterTracker< PointInT, StateT >
unsigned int | maximum_particle_number_ {0}
| the maximum number of the particles.
double | epsilon_ {0.0}
| error between K-L distance and MLE
double | delta_ {0.99}
| probability of distance between K-L distance and MLE is less than epsilon_
StateT | bin_size_
| the size of a bin.
Protected Attributes inherited from pcl::tracking::ParticleFilterTracker< PointInT, StateT >
int | iteration_num_ {1}
| The number of iteration of particlefilter.
int | particle_num_ {0}
| The number of the particles.
int | min_indices_ {1}
| The minimum number of points which the hypothesis should have.
double | fit_ratio_ {0.0}
| Adjustment of the particle filter.
PointCloudInConstPtr | ref_ {nullptr}
| A pointer to reference point cloud.
PointCloudStatePtr | particles_ {nullptr}
| A pointer to the particles
CloudCoherencePtr | coherence_ {nullptr}
| A pointer to PointCloudCoherence.
std::vector< double > | step_noise_covariance_ {}
| The diagonal elements of covariance matrix of the step noise.
std::vector< double > | initial_noise_covariance_ {}
| The diagonal elements of covariance matrix of the initial noise.
std::vector< double > | initial_noise_mean_ {}
| The mean values of initial noise.
double | resample_likelihood_thr_ {0.0}
| The threshold for the particles to be re-initialized.
double | occlusion_angle_thr_ {M_PI / 2.0}
| The threshold for the points to be considered as occluded.
double | alpha_ {15.0}
| The weight to be used in normalization of the weights of the particles.
StateT | representative_state_
| The result of tracking.
Eigen::Affine3f | trans_
| An affine transformation from the world coordinates frame to the origin of the particles.
bool | use_normal_ {false}
| A flag to use normal or not.
StateT | motion_
| Difference between the result in t and t-1.
double | motion_ratio_ {0.25}
| Ratio of hypothesis to use motion model.
pcl::PassThrough< PointInT > | pass_x_
| Pass through filter to crop the pointclouds within the hypothesis bounding box.
pcl::PassThrough< PointInT > | pass_y_
| Pass through filter to crop the pointclouds within the hypothesis bounding box.
pcl::PassThrough< PointInT > | pass_z_
| Pass through filter to crop the pointclouds within the hypothesis bounding box.
std::vector< PointCloudInPtr > | transed_reference_vector_ {}
| A list of the pointers to pointclouds.
pcl::octree::OctreePointCloudChangeDetector< PointInT >::Ptr | change_detector_
| Change detector used as a trigger to track.
bool | changed_ {false}
| A flag to be true when change of pointclouds is detected.
unsigned int | change_counter_ {0}
| A counter to skip change detection.
unsigned int | change_detector_filter_ {10}
| Minimum points in a leaf when calling change detector.
unsigned int | change_detector_interval_ {10}
| The number of interval frame to run change detection.
double | change_detector_resolution_ {0.01}
| Resolution of change detector.
bool | use_change_detector_ {false}
| The flag which will be true if using change detection.
Protected Attributes inherited from pcl::tracking::Tracker< PointInT, StateT >
std::string | tracker_name_
| The tracker name.
SearchPtr | search_
| A pointer to the spatial search object.
Protected Attributes inherited from pcl::PCLBase< PointInT >
PointCloudConstPtr | input_
| The input point cloud dataset.
IndicesPtr | indices_
| A pointer to the vector of point indices to use.
bool | use_indices_
| Set to true if point indices are used.
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud.

## Detailed Description

template<typename PointInT, typename StateT>
class pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >

KLDAdaptiveParticleFilterOMPTracker tracks the PointCloud which is given by setReferenceCloud within the measured PointCloud using particle filter method.

The number of the particles changes adaptively based on KLD sampling [D. Fox, NIPS-01], [D.Fox, IJRR03]. and the computation of the weights of the particles is parallelized using OpenMP.

Author
  Ryohei Ueda

Definition at line 18 of file kld_adaptive_particle_filter_omp.h.

## Member Typedef Documentation

## BaseClass

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::BaseClass = Tracker<PointInT, StateT>

Definition at line 46 of file kld_adaptive_particle_filter_omp.h.

## CloudCoherence

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::CloudCoherence = PointCloudCoherence<PointInT>

Definition at line 64 of file kld_adaptive_particle_filter_omp.h.

## CloudCoherenceConstPtr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::CloudCoherenceConstPtr = typename CloudCoherence::ConstPtr

Definition at line 66 of file kld_adaptive_particle_filter_omp.h.

## CloudCoherencePtr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::CloudCoherencePtr = typename CloudCoherence::Ptr

Definition at line 65 of file kld_adaptive_particle_filter_omp.h.

## Coherence

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::Coherence = PointCoherence<PointInT>

Definition at line 60 of file kld_adaptive_particle_filter_omp.h.

## CoherenceConstPtr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::CoherenceConstPtr = typename Coherence::ConstPtr

Definition at line 62 of file kld_adaptive_particle_filter_omp.h.

## CoherencePtr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::CoherencePtr = typename Coherence::Ptr

Definition at line 61 of file kld_adaptive_particle_filter_omp.h.

## ConstPtr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::ConstPtr = shared_ptr<const KLDAdaptiveParticleFilterOMPTracker<PointInT, StateT> >

Definition at line 49 of file kld_adaptive_particle_filter_omp.h.

## PointCloudIn

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::PointCloudIn = typename Tracker<PointInT, StateT>::PointCloudIn

Definition at line 52 of file kld_adaptive_particle_filter_omp.h.

## PointCloudInConstPtr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::PointCloudInConstPtr = typename PointCloudIn::ConstPtr

Definition at line 54 of file kld_adaptive_particle_filter_omp.h.

## PointCloudInPtr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::PointCloudInPtr = typename PointCloudIn::Ptr

Definition at line 53 of file kld_adaptive_particle_filter_omp.h.

## PointCloudState

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::PointCloudState = typename Tracker<PointInT, StateT>::PointCloudState

Definition at line 56 of file kld_adaptive_particle_filter_omp.h.

## PointCloudStateConstPtr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::PointCloudStateConstPtr = typename PointCloudState::ConstPtr

Definition at line 58 of file kld_adaptive_particle_filter_omp.h.

## PointCloudStatePtr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::PointCloudStatePtr = typename PointCloudState::Ptr

Definition at line 57 of file kld_adaptive_particle_filter_omp.h.

## Ptr

template<typename PointInT , typename StateT >

using pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::Ptr = shared_ptr<KLDAdaptiveParticleFilterOMPTracker<PointInT, StateT> >

Definition at line 48 of file kld_adaptive_particle_filter_omp.h.

## Constructor & Destructor Documentation

## KLDAdaptiveParticleFilterOMPTracker()

template<typename PointInT , typename StateT >

pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::KLDAdaptiveParticleFilterOMPTracker | ( | unsigned int | nr_threads = `0` | ) |

inline

Initialize the scheduler and set the number of threads to use.

Parameters

  nr_threads | the number of hardware threads to use (0 sets the value back to automatic)

Definition at line 72 of file kld_adaptive_particle_filter_omp.h.

References pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::setNumberOfThreads(), and pcl::tracking::Tracker< PointInT, StateT >::tracker_name_.

## Member Function Documentation

## setNumberOfThreads()

template<typename PointInT , typename StateT >

void pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::setNumberOfThreads | ( | unsigned int | nr_threads = `0` | ) |

Initialize the scheduler and set the number of threads to use.

Parameters

  nr_threads | the number of hardware threads to use (0 sets the value back to automatic)

Definition at line 11 of file kld_adaptive_particle_filter_omp.hpp.

Referenced by pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::KLDAdaptiveParticleFilterOMPTracker().

## weight()

template<typename PointInT , typename StateT >

void pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::weight | ( |  | ) |

override protected virtual

weighting phase of particle filter method.

calculate the likelihood of all of the particles and set the weights.

Reimplemented from pcl::tracking::ParticleFilterTracker< PointInT, StateT >.

Definition at line 27 of file kld_adaptive_particle_filter_omp.hpp.

## Member Data Documentation

## threads_

template<typename PointInT , typename StateT >

unsigned int pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::threads_

protected

The number of threads the scheduler should use.

Definition at line 89 of file kld_adaptive_particle_filter_omp.h.

The documentation for this class was generated from the following files:

- pcl/tracking/kld_adaptive_particle_filter_omp.h
- pcl/tracking/impl/kld_adaptive_particle_filter_omp.hpp